<!DOCTYPE html>
<html lang="en">
<head>

         <style>
.main {
  border:black solid 1px; width:500px; margin:0 auto; text-align:center;
  padding: 15px;
}
</style>

    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<a href="{% url 'user:user' %}">profile</a>

<div class="main">

    <br/>
    address:
    <br/>
    {{ wallet.address }}
    <br/><br/>
    balance:
    {{ balance }}


</div>

<div class="main">
    wallet

    <div>Click  to save your Private Key. <br>In case that you do not save your private key and you forgot your password your funds will be lost forever. <br>Because of security reasons we do not save your private key and we cannot recover your private key and funds. </div>
<div >
        <div >
            <h3 >View Private Key</h3>
            <div style="font-size: 14px; color: red;">We only store the keystore file of your wallet
                which needs to be combined with your personal password to unlock your wallet. In case that you did not
                save your private key after registering and you forgot your password your funds will be lost forever.
                Because of security reasons we do not save your private key and we cannot recover your private key and funds.
                <br>You can still export your private key with your password.</div>
            <div>Enter Password:</div>

            <form action="{% url 'user:walletPKView' %}" method="post">
                {% csrf_token %}
                <div>
                    <div>
                        <input type="password" name="PKpassword" id="PKpassword" minlength="6">
                    </div>
                    <div  style="max-width: 170px;">
                        <input type="submit" value="Show"/>
                    </div>
                    <!--div class="col-2">
                        <input type="button" value="Export as PDF" class="buttonGreen_small mrgB-0 animation" onclick="onClickGetPKPDFCheck()" />
                    </div-->
                </div>
            </form>


                <div style="display: none" id="privateKeyIfSuccessful">
                    <div>
                        <div class="passchangeText"> Your private key:</div>
                        <div style="font-weight: 700" id="privateKeyString"></div>
                        <div>IMPORTANT!!! <br> Do not share it with anybody. This private key allows you to access to your funds.</div>

                    </div>
                </div>

            </div>
        </div>
</div>


<div class="main">

    change password <i style="font-size: 14px; color: red;">(!!this does not change your acoout password!!)</i>

    <br/>
    ( generates new keysore)

    <form action="{% url 'user:changeWalletPassword' %}" method="post">
        {% csrf_token %}
<br/>
<br/>
        old password:<br/>
    <input type="password" id="oldPassword" name="oldPassword"><br/>
        new password:<br/>
    <input type="password" id="newPassword" name="newPassword"><br/>
    <input type="submit" value="Change Password"><br/>

    </form>

    <br/>



    <br/>
    <br/>

</div>

</body>
</html>